Bug 125823 - missing dependencies flex and libtool
missing dependencies flex and libtool
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: a2ps (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 17:04 EDT by Simon J Mudd
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.13b-39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 13:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon J Mudd 2004-06-11 17:04:44 EDT
Description of problem:

Missing dependencies when rebuilding from source rpm.

Version-Release number of selected component (if applicable):

a2ps-4.13b-28.src.rpm

Steps to Reproduce:

[buildsys@ams03 buildsys]$ rpmbuild --rebuild
~/repo/os/SRPMS/a2ps-4.13b-28.src.rpm
Installing /home/buildsys/repo/os/SRPMS/a2ps-4.13b-28.src.rpm
Executing(%prep): /bin/sh -e /home/buildsys/rpm/tmp/rpm-tmp.99905
+ umask 022
+ cd /home/buildsys/rpm/BUILD
+ cd /home/buildsys/rpm/BUILD
+ rm -rf a2ps-4.13
+ /bin/gzip -dc /home/buildsys/rpm/SOURCES/a2ps-4.13b.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd a2ps-4.13
+ /bin/gzip -dc /home/buildsys/rpm/SOURCES/i18n-fonts-0.1.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 505 = 0 ']'
++ /usr/bin/id -u
+ '[' 505 = 0 ']'
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ echo 'Patch #0 (a2ps-4.13-conf.patch):'
Patch #0 (a2ps-4.13-conf.patch):
+ patch -p1 -s
+ echo 'Patch #1 (a2ps-4.13-etc.patch):'
Patch #1 (a2ps-4.13-etc.patch):
+ patch -p1 -s
+ echo 'Patch #2 (a2ps-4.13-flex.patch):'
Patch #2 (a2ps-4.13-flex.patch):
+ patch -p1 -s
+ echo 'Patch #3 (a2ps-4.13-security.patch):'
Patch #3 (a2ps-4.13-security.patch):
+ patch -p1 -b --suffix .security -s
+ echo 'Patch #4 (a2ps-4.13-glibcpaper.patch):'
Patch #4 (a2ps-4.13-glibcpaper.patch):
+ patch -p1 -b --suffix .glibcpaper -s
+ echo 'Patch #5 (a2ps-4.13-varargs.patch):'
Patch #5 (a2ps-4.13-varargs.patch):
+ patch -p1 -s
+ echo 'Patch #10 (a2ps-4.13-eucjp.patch.bz2):'
Patch #10 (a2ps-4.13-eucjp.patch.bz2):
+ /usr/bin/bzip2 -d
+ patch -p1 -b --suffix .euc -s
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ echo 'Patch #11 (a2ps-4.13-autoenc.patch):'
Patch #11 (a2ps-4.13-autoenc.patch):
+ patch -p1 -b --suffix .ae -s
+ echo 'Patch #12 (a2ps-4.13b-attr.patch):'
Patch #12 (a2ps-4.13b-attr.patch):
+ patch -p1 -b --suffix .attr -s
+ echo 'Patch #13 (a2ps-4.13b-numeric.patch):'
Patch #13 (a2ps-4.13b-numeric.patch):
+ patch -p1 -b --suffix .numeric -s
+ echo 'Patch #14 (a2ps-4.13b-encoding.patch):'
Patch #14 (a2ps-4.13b-encoding.patch):
+ patch -p1 -b --suffix .encoding -s
+ echo 'Patch #15 (a2ps-4.13b-tilde.patch):'
Patch #15 (a2ps-4.13b-tilde.patch):
+ patch -p1 -b --suffix .tilde -s
+ echo 'Patch #16 (a2ps-4.13b-rm.patch):'
Patch #16 (a2ps-4.13b-rm.patch):
+ patch -p1 -b --suffix .rm -s
+ echo 'Patch #17 (a2ps-4.13-euckr.patch):'
Patch #17 (a2ps-4.13-euckr.patch):
+ patch -p1 -b --suffix .euckr -s
+ libtoolize --copy --force
/home/buildsys/rpm/tmp/rpm-tmp.99905: line 82: libtoolize: command not
found
error: Bad exit status from /home/buildsys/rpm/tmp/rpm-tmp.99905 (%prep)


RPM build errors:
    Bad exit status from /home/buildsys/rpm/tmp/rpm-tmp.99905 (%prep)
[buildsys@ams03 buildsys]$

Additional info:

installing libtool and flex allows the build to work.
Comment 1 Tim Waugh 2004-06-24 13:41:42 EDT
flex is already required.  I've added libtool.

Note You need to log in before you can comment on or make changes to this bug.